Project

Profile

Help

Story #3503

As a user, I have an error message with repo versions a content unit is contained in when I try to delete a content unit

Added by daviddavis over 1 year ago. Updated 6 months ago.

Status:
CLOSED - WONTFIX
Priority:
Normal
Assignee:
-
Category:
-
Sprint/Milestone:
Start date:
Due date:
% Done:

0%

Platform Release:
Blocks Release:
Backwards Incompatible:
No
Groomed:
No
Sprint Candidate:
No
Tags:
QA Contact:
Complexity:
Smash Test:
Verified:
No
Verification Required:
No
Sprint:

Description

In #3418 we added protections against deleting a content unit that's being used in a repository version. I think it would be helpful to show users which repo versions a unit is in when they try to delete it.

See https://pulp.plan.io/issues/3418#note-5.

History

#1 Updated by bizhang over 1 year ago

The logic behind this should be the same as in RepositoryVersionContentFilter [0]
Consider refactoring that logic into a separate utility for this Story

[0] https://github.com/pulp/pulp/blob/c36ab038100ebdc23d23654901dde5f7425fb242/pulpcore/pulpcore/app/viewsets/repository.py#L133

#2 Updated by daviddavis over 1 year ago

  • Status changed from NEW to CLOSED - WONTFIX

The error message in #3418 shows repo name so I think that suffices. Closing this out.

#3 Updated by daviddavis 6 months ago

  • Sprint/Milestone set to 3.0

#4 Updated by bmbouter 6 months ago

  • Tags deleted (Pulp 3)

Please register to edit this issue

Also available in: Atom PDF